Athena
Catalogs

Create an Athena-managed S3 catalog entry

Creates one S3 catalog row and its active credential in the Athena client database selected by `X-Athena-Client`.

POST
/storage/catalogs

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

X-Athena-Client*string

Logical Athena client whose database stores the S3 catalog rows.

Request Body

application/json

name*string
description?|
endpoint*string
region*string
bucket?|
provider?|
access_key_id*string
secret_key*string
session_token?|
metadata?|

Response Body

application/json

curl -X POST "https://athena-cluster.com/storage/catalogs" \  -H "apikey: string" \  -H "X-Athena-Client: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "endpoint": "string",    "region": "string",    "access_key_id": "string",    "secret_key": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "endpoint": "string",
  "region": "string",
  "bucket": "string",
  "provider": "string",
  "is_active": true,
  "active_credential_id": "156a45a2-54ac-4af6-b392-24a7c0423746",
  "active_access_key": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty